<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="jakarta.faces.core"
	xmlns:h="jakarta.faces.html"
	xmlns:ui="jakarta.faces.facelets"
	xmlns:bw="http://www.scc.kit.edu/bwfacelets"
	xmlns:p="http://primefaces.org/ui">
<head>
<title></title>
</head>
<body>

<ui:composition template="/template/default-admin.xhtml">
	<ui:param name="title" value="#{messages.title}"/>

	<ui:define name="content">
	
	<h:form id="form">
		<p:panel header="#{messages.saml_idp_configuration}">
			<p:dataTable id="idpDataTable" var="entity" value="#{listIdpConfigurationBean.idpList}">
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.id}" />
					</f:facet>
					<h:outputText value="#{entity.id}" />
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.entity_id}" />
					</f:facet>
					<h:link outcome="show-idp-config.xhtml" value="#{entity.entityId}">
	      				<f:param name="id" value="#{entity.id}"/>
	    			</h:link>
				</p:column>		
			</p:dataTable>
	
	        <h:link outcome="add-idp-config.xhtml" value="#{messages.add_idp_config}"/>
		</p:panel>

		<p:panel header="#{messages.saml_sp_service_configuration}">
			<p:dataTable id="spDataTable" var="entity" value="#{listIdpConfigurationBean.serviceSpList}">
				<p:column width="5%">
					<f:facet name="header">
						<h:outputText value="#{messages.id}" />
					</f:facet>
					<h:link outcome="edit-saml-service-sp.xhtml" value="#{entity.id}">
	      				<f:param name="id" value="#{entity.id}"/>
	    			</h:link>
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.idp}" />
					</f:facet>
					<h:outputText value="#{(empty entity.idp.entityId ? 'All IDPs' : entity.idp.entityId)}" /><br/>
					<h:outputText value="#{(empty entity.sp.entityId ? 'No SP set' : entity.sp.entityId)}" />
				</p:column>		
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.service}" />
					</f:facet>
					<h:outputText value="#{entity.service.name}" />
				</p:column>		
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.script}" />
					</f:facet>
					<h:outputText value="#{entity.script.name}" />
				</p:column>		
				<p:column width="10%">
					<f:facet name="header">
						<h:outputText value="#{messages.wants_elevation}" />
					</f:facet>
					<h:outputText value="#{entity.wantsElevation}" />
				</p:column>		
				<p:column>
	       			<p:commandButton action="#{listIdpConfigurationBean.delete(entity)}" immediate="true" update="@form"
	       				value="#{messages.delete}">
	       				<p:confirm header="#{messages.confirm_header}" escape="false"
	       					message="#{messages.delete_entry_confirm}" />
	       			</p:commandButton>
	       			<p:linkButton value="#{messages.edit}" outcome="edit-saml-service-sp.xhtml">
	      				<f:param name="id" value="#{entity.id}"/>
	       			</p:linkButton>
	       		</p:column>
			</p:dataTable>
	
	        <h:link outcome="edit-saml-service-sp.xhtml" value="#{messages.saml_add_sp_service_config}"/>
	
		    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade" closable="false" 
		    	closeOnEscape="true" width="250">
		        <p:commandButton value="#{messages.yes}" type="button" styleClass="ui-confirmdialog-yes"/>
		        <p:commandButton value="#{messages.no}" type="button" styleClass="ui-confirmdialog-no"/>
		    </p:confirmDialog>    
		</p:panel>
		
		<p:panel header="#{messages.saml_sp}">
			<p:dataTable id="spAllDataTable" var="entity" value="#{listIdpConfigurationBean.spList}">
				<p:column width="10%">
					<f:facet name="header">
						<h:outputText value="#{messages.id}" />
					</f:facet>
					<h:link outcome="show-sp.xhtml" value="#{entity.id}">
	      				<f:param name="id" value="#{entity.id}"/>
	    			</h:link>
				</p:column>
				<p:column>
					<f:facet name="header">
						<h:outputText value="#{messages.entity_id}" />
					</f:facet>
					<h:link outcome="show-sp.xhtml" value="#{entity.entityId}">
	      				<f:param name="id" value="#{entity.id}"/>
	    			</h:link>
				</p:column>		
				<p:column width="10%">
					<f:facet name="header">
						<h:outputText value="#{messages.internal}" />
					</f:facet>
					<h:outputText value="#{entity.managedInteral}" />
				</p:column>
			</p:dataTable>

	        <h:link outcome="add-sp.xhtml" value="#{messages.add_sp}"/>
			
		</p:panel>
		
	</h:form>

	</ui:define>
</ui:composition>		
</body>
</html>
